import { NewReaction } from '@/types/models';

export const getBioEntitiesIdsFromReaction = (reaction: NewReaction): string[] => {
  const { products, reactants, modifiers } = reaction;
  const productsIds = products.map(p => p.element);
  const reactantsIds = reactants.map(r => r.element);
  const modifiersIds = modifiers.map(m => m.element);
  return [...productsIds, ...reactantsIds, ...modifiersIds].map(identifier => String(identifier));
};
