import { createSlice } from '@reduxjs/toolkit';
import { BIOENTITY_INITIAL_STATE } from './bioEntity.constants';
import {
  clearBioEntitiesDataReducer,
  getBioEntityContentsReducer,
  getMultiBioEntityContentsReducer,
  getSubmapConnectionsBioEntityReducer,
  setBioEntityContentsReducer,
  setMultipleBioEntityContentsReducer,
  toggleIsContentTabOpenedReducer,
} from './bioEntity.reducers';

export const bioEntityContentsSlice = createSlice({
  name: 'bioEntityContents',
  initialState: BIOENTITY_INITIAL_STATE,
  reducers: {
    clearBioEntitiesData: clearBioEntitiesDataReducer,
    toggleIsContentTabOpened: toggleIsContentTabOpenedReducer,
    setBioEntityContents: setBioEntityContentsReducer,
    setMultipleBioEntityContents: setMultipleBioEntityContentsReducer,
  },
  extraReducers: builder => {
    getBioEntityContentsReducer(builder);
    getMultiBioEntityContentsReducer(builder);
    getSubmapConnectionsBioEntityReducer(builder);
  },
});

export const {
  clearBioEntitiesData,
  toggleIsContentTabOpened,
  setBioEntityContents,
  setMultipleBioEntityContents,
} = bioEntityContentsSlice.actions;

export default bioEntityContentsSlice.reducer;
